Al utilizar la herramienta de exportar a postgres añadiendo la tabla da un fallo.
Description

Intente mediante  la herramienta de exportar a postgres añadir mas geometrias a una tabla existente

Associated revisions
Revision 41681 - 08/07/2014 02:52 PM - Joaquín  del Cerro Murciano

Corregido error al exportar a postgresql añadiendo a una tabla cuando los campos geometria no se llaman igual, refs #2783

History
#1 - 08/07/2014 01:36 PM - Anderson Rincon
- File gvSIG.log added

#2 - 08/07/2014 01:45 PM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Description updated

#3 - 08/07/2014 02:39 PM - Joaquín  del Cerro Murciano

Al parecer tiene que ver con las estructuras de las tablas.
Aunque las columnas de datos alfanumericos se llaman igual, la columna geometria no.
Esto es un problema ya que la tabla origen es un shape, con lo que el nombre de la columna geometria es fijo a "GEOMETRY", y la tabla de la BBDD
en la que queremos insertar los registros la usa otra aplicacion y espera que se llame "GEOM".
Voy a hacer que el campo que se corresponde con la geometria por defecto de la tabla no se copie por nombre, y que se asigne directamente. Esto
puede ocasionar algun problema cuando en la tabla origen o destino haya mas de un campo geometria, en cuyo caso seguira asignandolo por el
nombre de la columna.

#4 - 08/07/2014 02:51 PM - Joaquín  del Cerro Murciano
- Add-on resolve build set to 2245
- Add-on resolve version set to 2.1.0
- Add-on name changed from Unknown to Application gvSIG (org.gvsig.app)
- Status changed from New to Fixed

#5 - 08/07/2014 10:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2245-testing

#6 - 08/08/2014 02:07 PM - Joaquín  del Cerro Murciano
- Operative System set to Windows

#7 - 09/15/2014 03:15 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 355 KB 08/07/2014 Anderson Rincon
